function [rtransML,  rGMM_DIF1_1step, rGMM_DIF1_2step, rGMM_DIF1_CUE, rGMM_DIF2_1step, rGMM_DIF2_2step, rGMM_DIF2_CUE, rGMM_SYS1_1step, rGMM_SYS1_2step, rGMM_SYS1_CUE, rGMM_SYS2_1step, rGMM_SYS2_2step, rGMM_SYS2_CUE, beta_sys1_2step, var_sys1_2step  ]=do_experiment1(P,N,T, Data,  d1)

rtransML.MSE=0;
rtransML.bias=0;
rtransML.R2=0;
rtransML.itr=0;
rtransML.size=0;
rtransML.power=zeros(P.jp,1);

rtransML.spdy=zeros(21,21);
rtransML.spth=zeros(21,21);

rtransML.size1=0;
rtransML.power1=zeros(P.jp,1);
rtransML.size2=0;
rtransML.power2=zeros(P.jp,1);
rtransML.size3=0;
rtransML.power3=zeros(P.jp,1);


rGMM_DIF1_1step=rtransML;
rGMM_DIF1_2step=rtransML;
rGMM_DIF1_CUE=rtransML;
rGMM_DIF2_1step=rtransML;
rGMM_DIF2_2step=rtransML;
rGMM_DIF2_CUE=rtransML;
rGMM_SYS1_1step=rtransML;
rGMM_SYS1_2step=rtransML;
rGMM_SYS1_CUE=rtransML;
rGMM_SYS2_1step=rtransML;
rGMM_SYS2_2step=rtransML;
rGMM_SYS2_CUE=rtransML;


%% estimate

Y=Data.Y'; %TxN 
%tic
[transML, GMM_DIF1_1step, GMM_DIF1_2step, GMM_DIF1_CUE,   GMM_DIF2_1step, GMM_DIF2_2step, GMM_DIF2_CUE,   GMM_SYS1_1step, GMM_SYS1_2step, GMM_SYS1_CUE,   GMM_SYS2_1step, GMM_SYS2_2step, GMM_SYS2_CUE] = ML_GMM_estimators_ar1( Y );
%toc

% report results

% transML and others
rtransML=report11(transML,rtransML, Data, P);  % !!!!!!!!!!!!!!!!!!!!!
rGMM_DIF1_1step=report11(GMM_DIF1_1step,rGMM_DIF1_1step, Data, P);
rGMM_DIF1_2step=report11(GMM_DIF1_2step,rGMM_DIF1_2step, Data, P);
rGMM_DIF1_CUE=report11(GMM_DIF1_CUE,rGMM_DIF1_CUE, Data, P);
rGMM_DIF2_1step=report11(GMM_DIF2_1step,rGMM_DIF2_1step, Data, P); % !!!!!!!!!!!!!!!!!!!!!
rGMM_DIF2_2step=report11(GMM_DIF2_2step,rGMM_DIF2_2step, Data, P);
rGMM_DIF2_CUE=report11(GMM_DIF2_CUE,rGMM_DIF2_CUE, Data, P);
rGMM_SYS1_1step=report11(GMM_SYS1_1step,rGMM_SYS1_1step, Data, P);
rGMM_SYS1_2step=report11(GMM_SYS1_2step,rGMM_SYS1_2step, Data, P);
rGMM_SYS1_CUE=report11(GMM_SYS1_CUE,rGMM_SYS1_CUE, Data, P);
rGMM_SYS2_1step=report11(GMM_SYS2_1step,rGMM_SYS2_1step, Data, P); % !!!!!!!!!!!!!!!!!!!!!
rGMM_SYS2_2step=report11(GMM_SYS2_2step,rGMM_SYS2_2step, Data, P);
rGMM_SYS2_CUE=report11(GMM_SYS2_CUE,rGMM_SYS2_CUE, Data, P);

 
beta_sys1_2step=GMM_SYS1_2step(:,:,1);
var_sys1_2step =GMM_SYS1_2step(:,:,2)^2;    
    
end