function  [S]=sel_experiment(d1,d2,d3,d4,d5,d6,d7,d8,B, use_saved_coef)
% function that overrides didex specific coefficients

% id1 for:  1) Mi =4                        2) Mi=50

%d1
if d1==1
    B.a.kpa=0;
end
if d1==2
    B.a.kpa=1;
end

if d2==1
    B.a.rho=0;
end
if d2==2
    B.a.rho=0.8;
end

%% common to designs

jp=B.a.jp;
jps=B.a.jps;
% power 1
mean_for_power1=0; %B.a.amu; %B.a.phibar;
half_range_for_power=0.3;
pwr=zeros(jp,1);
for i=1:jp
    pwr(i,1)=(mean_for_power1-half_range_for_power)+(i-1)/(jp-1)*(2*half_range_for_power);
end
B.a.pwr_amu=pwr;


% power 2
mean_for_power2=0;
half_range_for_power=0.3;
pwr=zeros(jp,1);
for i=1:jp
    pwr(i,1)=(mean_for_power2-half_range_for_power)+(i-1)/(jp-1)*(2*half_range_for_power);
end
B.a.pwr_asig=pwr;

% power 3
mean_for_power3=0;
half_range_for_power=0.3;
pwr=zeros(jp,1);
for i=1:jp
    pwr(i,1)=(mean_for_power3-half_range_for_power)+(i-1)/(jp-1)*(2*half_range_for_power);
end
B.a.pwr_sig=pwr;

% power 4
mean_for_power4=0;
half_range_for_power=0.3;
pwr=zeros(jp,1);
for i=1:jp
    pwr(i,1)=(mean_for_power3-half_range_for_power)+(i-1)/(jp-1)*(2*half_range_for_power);
end
B.a.pwr_zero=pwr;


S=B.a; % assigns all parameters
return


