function [transML, GMM_DIF1_1step, GMM_DIF1_2step, GMM_DIF1_CUE,   GMM_DIF2_1step, GMM_DIF2_2step, GMM_DIF2_CUE,   GMM_SYS1_1step, GMM_SYS1_2step, GMM_SYS1_CUE,   GMM_SYS2_1step, GMM_SYS2_2step, GMM_SYS2_CUE] = ML_GMM_estimators_ar1( Y_NT )
%   Y_NT:  T+1 x N 

[TT, N] = size(Y_NT);
T  = TT-1;
T1 = T-1;
K=0;

m_DIF2 = (T1*2 - 1) ;


if m_DIF2 > N  
    coef_GMM_DIF1 = NaN(2,3);  coef_GMM_SYS1 = NaN(2,3); 
    coef_GMM_DIF2 = NaN(2,3);  coef_GMM_SYS2 = NaN(2,3); 
    se_GMM_DIF1 = NaN(2,3);      se_GMM_SYS1 = NaN(2,3); 
    se_GMM_DIF2 = NaN(2,3);      se_GMM_SYS2 = NaN(2,3); 
else
   % tic
[ coef_GMM_DIF1, coef_GMM_DIF2, coef_GMM_DIF3, coef_GMM_SYS1, coef_GMM_SYS2, coef_GMM_SYS3,...
     var_GMM_DIF1, var_GMM_DIF2, var_GMM_DIF3, var_GMM_SYS1, var_GMM_SYS2, var_GMM_SYS3, coef_GMM_DIF_ML ]= GMMestimator_ar1(Y_NT, T, N );
 %toc
end





GMM_DIF1_1step = cat(3, coef_GMM_DIF1(:,1), sqrt( diag( var_GMM_DIF1(:,:,1) ) ), NaN(K+1,1) );
GMM_DIF1_2step = cat(3, coef_GMM_DIF1(:,2), sqrt( diag( var_GMM_DIF1(:,:,2) ) ), sqrt( diag( var_GMM_DIF1(:,:,3) ) ) );
GMM_DIF1_CUE   = cat(3, coef_GMM_DIF1(:,3), sqrt( diag( var_GMM_DIF1(:,:,4) ) ), sqrt( diag( var_GMM_DIF1(:,:,5) ) ) );
GMM_DIF2_1step = cat(3, coef_GMM_DIF2(:,1), sqrt( diag( var_GMM_DIF2(:,:,1) ) ), NaN(K+1,1) );
GMM_DIF2_2step = cat(3, coef_GMM_DIF2(:,2), sqrt( diag( var_GMM_DIF2(:,:,2) ) ), sqrt( diag( var_GMM_DIF2(:,:,3) ) ) );
GMM_DIF2_CUE   = cat(3, coef_GMM_DIF2(:,3), sqrt( diag( var_GMM_DIF2(:,:,4) ) ), sqrt( diag( var_GMM_DIF2(:,:,5) ) ) );
GMM_SYS1_1step = cat(3, coef_GMM_SYS1(:,1), sqrt( diag( var_GMM_SYS1(:,:,1) ) ), NaN(K+1,1) );
GMM_SYS1_2step = cat(3, coef_GMM_SYS1(:,2), sqrt( diag( var_GMM_SYS1(:,:,2) ) ), sqrt( diag( var_GMM_SYS1(:,:,3) ) ) );
GMM_SYS1_CUE   = cat(3, coef_GMM_SYS1(:,3), sqrt( diag( var_GMM_SYS1(:,:,4) ) ), sqrt( diag( var_GMM_SYS1(:,:,5) ) ) );
GMM_SYS2_1step = cat(3, coef_GMM_SYS2(:,1), sqrt( diag( var_GMM_SYS2(:,:,1) ) ), NaN(K+1,1) );
GMM_SYS2_2step = cat(3, coef_GMM_SYS2(:,2), sqrt( diag( var_GMM_SYS2(:,:,2) ) ), sqrt( diag( var_GMM_SYS2(:,:,3) ) ) );
GMM_SYS2_CUE   = cat(3, coef_GMM_SYS2(:,3), sqrt( diag( var_GMM_SYS2(:,:,4) ) ), sqrt( diag( var_GMM_SYS2(:,:,5) ) ) );





transML=NaN(1,1,3);


end

