function pom=collect_partial(Re,S)
% from initialization
pom.bias=0;
pom.power=zeros(S.jp,1);
pom.size=0;
pom.RMSE=0;
pom.R2=0;
pom.itr=0;

pom.spdy=zeros(21,21);
pom.spth=zeros(21,21);

pom.size1=0;
pom.power1=zeros(S.jp,1);
pom.size2=0;
pom.power2=zeros(S.jp,1);
pom.size3=0;
pom.power3=zeros(S.jp,1);

%from computations
bs=zeros(S.R,1);
for i=1:S.R
    bs(i,1)=Re(i).bias;
end
ind=not(isnan(bs)); sr=sum(ind);
bias=bs(ind)'*ones(sr,1)/sr;

sz=zeros(S.R,1);
for i=1:S.R
    sz(i,1)=Re(i).size;
end
size=sz(ind)'*ones(sr,1)/sr;

rm=zeros(S.R,1);
for i=1:S.R
    rm(i,1)=Re(i).MSE;
end
%ind2=not(isnan(rm)); sr2=sum(ind2);
RMSE=(rm(ind)'*ones(sr,1)/sr)^0.5;
% if sr<1 % count for H
%     RMSE=sr;
% end

r=zeros(S.R,1);
for i=1:S.R
    r(i,1)=Re(i).R2;
end
R2=r(ind)'*ones(sr,1)/sr; %median(abs(bs)); %r'*ones(S.R,1)/S.R;
%R2var=(r'*ones(S.R,1)/S.R); %^0.5;

itr=zeros(S.R,1);
for i=1:S.R
    itr(i,1)=Re(i).itr;
end
ITR=itr(ind)'*ones(sr,1)/sr; %median(abs(bs)); %r'*ones(S.R,1)/S.R;

pw=zeros(S.R,S.jp);
for i=1:S.R
    pw(i,:)=Re(i).power';
end
power=pw(ind,:)'*ones(sr,1)/sr;

spdy=zeros(21,21);
for i=1:S.R
    spdy=spdy+Re(i).spdy;
end
spdy=spdy/S.R;

spth=zeros(21,21);
for i=1:S.R
    spth=spth+Re(i).spth;
end
spth=spth/S.R;

sz1=zeros(S.R,1);
for i=1:S.R
    sz1(i,1)=Re(i).size1;
end
size1=sz1'*ones(S.R,1)/S.R; %sz1(ind)'*ones(sr,1)/sr; %median(bs); %sz1'*ones(S.R,1)/S.R;
pw1=zeros(S.R,S.jp);
for i=1:S.R
    pw1(i,:)=Re(i).power1';
end
power1=pw1(ind,:)'*ones(sr,1)/sr;

sz2=zeros(S.R,1);
for i=1:S.R
    sz2(i,1)=Re(i).size2;
end
size2=sz2(ind)'*ones(sr,1)/sr;
pw2=zeros(S.R,S.jp);
for i=1:S.R
    pw2(i,:)=Re(i).power2';
end
power2=pw2(ind,:)'*ones(sr,1)/sr;

sz3=zeros(S.R,1);
for i=1:S.R
    sz3(i,1)=Re(i).size3;
end
size3=sz3(ind)'*ones(sr,1)/sr;
pw3=zeros(S.R,S.jp);
for i=1:S.R
    pw3(i,:)=Re(i).power3';
end
power3=pw3(ind,:)'*ones(sr,1)/sr;

pom.bias=bias;
pom.power=power;
pom.size=size;
pom.RMSE=RMSE;
pom.R2=R2;
pom.itr=ITR;

pom.spdy=spdy;
pom.spth=spth;

pom.size1=size1;
pom.power1=power1;
pom.size2=size2;
pom.power2=power2;
pom.size3=size3;
pom.power3=power3;

end